textures/halloweenrace/fog
{
	fogParms ( 0.0941176 0.254902 0.0901961 ) 600
	surfaceParm fog
	surfaceParm noLightmap
	surfaceParm nonSolid
	surfaceParm trans
	qer_trans 0.5
	{
		map textures/halloweenrace/fog
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.04 0.02
	}
	{
		map textures/halloweenrace/fog
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
}

textures/halloweenrace/candle:q3map 
{
	surfaceparm nonsolid
}

textures/halloweenrace/explosion
{
    qer_editorimage textures/halloweenrace/explo1
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nomarks
    cull disable
	
	{
		animMap 14 textures/halloweenrace/explo1.tga textures/halloweenrace/explo2.tga textures/halloweenrace/explo3.tga textures/halloweenrace/explo4.tga textures/halloweenrace/explo5.tga textures/halloweenrace/explo6.tga textures/halloweenrace/explo7.tga textures/halloweenrace/explo8.tga textures/halloweenrace/explo7.tga textures/halloweenrace/explo9.tga textures/halloweenrace/explo7.tga textures/halloweenrace/explo10.tga textures/halloweenrace/explo11.tga textures/halloweenrace/explo12.tga textures/halloweenrace/explo13.tga textures/halloweenrace/explo14.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}
}

textures/halloweenrace/happy_halloween
{
    qer_editorimage textures/halloweenrace/happy_halloween.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/halloweenrace/happy_halloween.jpg
        blendfunc add
    }
}

textures/cel/ink_black_small
{
    qer_editorimage textures/halloweenrace/noir.tga

    q3map_notjunc
    q3map_nonplanar
    q3map_bounce 0.0
    q3map_shadeangle 100
    q3map_texturesize 1 1
    q3map_invert                //inverts drawing surface for backfacing hull
    q3map_offset -1.2           //offsets surface by the specified distance

    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks

    sort 16

    {
        map textures/halloweenrace/noir.tga
        rgbGen identity
    }
}

textures/halloweenrace/flame1
{
	
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	q3map_surfacelight 7000
	

	{
		animMap 10 textures/halloweenrace/flame1.tga textures/halloweenrace/flame2.tga textures/halloweenrace/flame3.tga textures/halloweenrace/flame4.tga textures/halloweenrace/flame5.tga textures/halloweenrace/flame6.tga textures/halloweenrace/flame7.tga textures/halloweenrace/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/halloweenrace/flame2.tga textures/halloweenrace/flame3.tga textures/halloweenrace/flame4.tga textures/halloweenrace/flame5.tga textures/halloweenrace/flame6.tga textures/halloweenrace/flame7.tga textures/halloweenrace/flame8.tga textures/halloweenrace/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/halloweenrace/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


textures/halloweenrace/skynight
{ 
    qer_editorimage textures/halloweenrace/skybox
	//q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 350
	q3map_lightsubdivide 512
    surfaceparm sky
    surfaceparm nolightmap
    surfaceparm noimpact
    skyparms textures/halloweenrace/skynight - -
}

textures/halloweenrace/chrome
{
    qer_editorimage "textures/halloweenrace/chrome.tga"
	qer_trans .85
	surfaceparm alphashadow
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm trans
	{
		map "textures/halloweenrace/chrome.tga"
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map "textures/halloweenrace/platform_tint2.tga"
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scale 2 2
	}
	{
		map "textures/halloweenrace/platform_tint2.tga"
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scale 2 2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/halloweenrace/water
{
    qer_trans .5
    q3map_globaltexture
	q3map_damage 34
    q3map_fancywater 1 0.65 0.65 0.65
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm slime
    deformVertexes wave 64 sin .35 .35 0 .7
    cull disable
    {
        map "textures/halloweenrace/water"
        blendFunc GL_src_alpha GL_one_minus_src_alpha
        alphaGen const 0.3  // Ajouter cette ligne pour définir la transparence globale à 50%
        rgbgen identity
        tcmod scale 1 1
        tcmod scroll .04 .04
    }
    {
        map "textures/halloweenrace/water"
        blendFunc GL_src_alpha GL_one_minus_src_alpha
        alphaGen const 0.5  // Ajouter cette ligne également
        tcmod scale -1 -1
        tcmod scroll .04 .04
    }
    {
        map $lightmap
        blendFunc GL_dst_color GL_zero
        rgbgen identity
    }

}